# Saved Responses for Chakra UI's Issue Tracker

The following are canned responses that the Chakra UI team should use to close
issues on our issue tracker that fall into the listed resolution categories.

These responses can be modified in the future, all responses are versioned to
simplify the process of keeping the responses up to date.

## Chakra UI: Already Fixed

```
Thanks for reporting this issue. Luckily it has already been fixed in one of the recent releases. Please update to the most recent version to resolve the problem.

If after upgrade the problem still exists in your application please open a new issue and follow the instructions in the issue template.
```

## Chakra UI: Don't Understand

```
I'm sorry but we don't understand the problem you are reporting.

Please provide a repository or codesandbox reproducing this problem, and describe the difference between the expected and current behavior.

```

## Chakra UI: Can't reproduce

```
I'm sorry but we can't reproduce the issue you are reporting.

Considering the large number of issues we need to resolve, we only a limited amount of time to reproduce your issue.

To help us, kindly create a repository or codesandbox that reproduces this problem so we can fix it.
```

## Chakra UI: Duplicate

```
Thanks for reporting this issue. However this issue is a duplicate of an existing issue #ISSUE_NUMBER. Please subscribe to that issue for future updates.
```

## Chakra UI: Insufficient Information Provided

```
Thanks for reporting this issue. However, you didn't provide sufficient information for us to understand and reproduce the problem.

Please follow the issue template as we're not able to act on issues that are lacking important information.

```

## Chakra UI: Issue Outside of Chakra UI

```
I'm sorry but this issue is not caused by Chakra UI. Please contact the author(s) of PROJECT_NAME or file issue on their issue tracker.
```

## Chakra UI: Obsolete

```
Thanks for reporting this issue. This issue is now obsolete due to changes in recent releases. Please update to the most recent version of CHAKRA_PACKAGE.

If the problem still exists in your application, please open a new issue.
```
